Subject: Re: Problem replacing a Samsung K9F1208U0M NAND flash chip with ST NAND512W3A

From: Ricardo Scop <[email-masked]>
Date: Tue, 6 Nov 2007 19:20:11 -0200

Hi Santanu,

On Sunday 04 November 2007 12:34, Santanu Sen wrote:
> Facing some trouble replacing a SAMSUNG K9F1208U0M
> with an ST NAND512W3A. I know it is criminal, but we
> are still using the 2.4 kernel. The excuse is, it is
> impossible to port all our code/drivers to 2.6 within
> the project deadline.
I know the feeling...

>
>
> Here is the story. We could successfully install JFFS2
> on a Samsung  K9F1208U0M NAND chip mounted on a board
> running linux-2.4.20 on a ppc852 processor. 
Hmmm, I would go for the newest 2.4.x kernel release from kernel.org. JFFS2 
support there is reportedly more stable, AFAIK.

Anyway, these are just my 2 cents.

HTH,

-- 
Ricardo Scop.

        \|/
    ___ -*-
   (@ @)/|\
  /  V  \|  R SCOP Consult.
 /(     )\  Linux-based communications
--^^---^^+------------------------------
[email-masked]
+55 51 999-36-777
Porto Alegre, RS - BRazil